로캘 쌍에 맞는 모델 없음

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 422 Unprocessable Content 응답을 반환합니다. 이 문제의 type는 https://lingo.dev/docs/api/errors/model-chain-missing입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참조하세요.

<sourceLocale> → <targetLocale>에 맞는 모델 구성이 없습니다. 이 로캘 쌍에 맞는 모델 구성이나 와일드카드 대체 구성을 추가하세요.

필드#

응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 원하는 문구를 대신 표시할 수 있습니다.

필드유형
engineIdstring
sourceLocalestring
targetLocalestring

예시#

json
{
  "detail": "No model configuration matches <sourceLocale> → <targetLocale>. Add a model configuration for this locale pair or a wildcard fallback.",
  "engineId": "<engineId>",
  "sourceLocale": "<sourceLocale>",
  "targetLocale": "<targetLocale>",
  "type": "https://lingo.dev/docs/api/errors/model-chain-missing",
  "status": 422,
  "title": "No model for the locale pair"
}

이 오류를 반환하는 엔드포인트#

  • POST /v2/localization/jobs/{id}/start
  • POST /v2/organizations/{orgId}/localization/estimates